#!/bin/bash
# Skrypt do zmiany rozszerzenia wybranych plików *_default na .toml

FILES=(
    "bg_task.toml_default"
    "env.toml_default"
    "ocr.inc_default"
    "ocr.toml_default"
    "rabbit.toml_default"
    "redis.toml_default"
    "sendmail.toml_default"
   
)

DIR="/home/edokumenty/etc"

for filename in "${FILES[@]}"; do
    file="$DIR/$filename"
    if [[ -f "$file" ]]; then
        newname="${file%_default}"
        mv "$file" "$newname"
        echo "Zmieniono: $file -> $newname"
    else
        echo "Plik nie istnieje: $file"
    fi
done
